public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH] build-kernel.sh: handle kernel configs with CONFIG_LOCALVERSION
@ 2018-04-20 12:39 Henning Schild
  2018-05-11 15:33 ` Alexander Smirnov
  0 siblings, 1 reply; 2+ messages in thread
From: Henning Schild @ 2018-04-20 12:39 UTC (permalink / raw)
  To: isar-users; +Cc: Jan Kiszka, Henning Schild

Setting this option in your kernel config will result in filenames that
build-kernel.sh does not expect. To not introduce confusion between
recipe versions and debian package versions simply require the recipe to
have a PV matching "make kernelrelease".

Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
 meta/recipes-kernel/linux/files/build-kernel.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/meta/recipes-kernel/linux/files/build-kernel.sh b/meta/recipes-kernel/linux/files/build-kernel.sh
index 42c8ff6..1ec094e 100644
--- a/meta/recipes-kernel/linux/files/build-kernel.sh
+++ b/meta/recipes-kernel/linux/files/build-kernel.sh
@@ -21,6 +21,13 @@ flock /dpkg.lock \
 cd $1
 make olddefconfig
 
+KV=$( make -s kernelrelease )
+if [ "${KV}" != "${PV}" ]; then
+	echo "ERROR: Recipe PV is \"${PV}\" but should be \"${KV}\"" 1>&2
+	echo "ERROR: Probably due to CONFIG_LOCALVERSION" 1>&2
+	exit 1
+fi
+
 rm -f .version
 make -j $(($(nproc) * 2)) deb-pkg
 
-- 
2.16.1


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PATCH] build-kernel.sh: handle kernel configs with CONFIG_LOCALVERSION
  2018-04-20 12:39 [PATCH] build-kernel.sh: handle kernel configs with CONFIG_LOCALVERSION Henning Schild
@ 2018-05-11 15:33 ` Alexander Smirnov
  0 siblings, 0 replies; 2+ messages in thread
From: Alexander Smirnov @ 2018-05-11 15:33 UTC (permalink / raw)
  To: Henning Schild, isar-users; +Cc: Jan Kiszka

On 04/20/2018 03:39 PM, Henning Schild wrote:
> Setting this option in your kernel config will result in filenames that
> build-kernel.sh does not expect. To not introduce confusion between
> recipe versions and debian package versions simply require the recipe to
> have a PV matching "make kernelrelease".
> 

Applied to next, thanks!

Alex

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2018-05-11 15:33 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-04-20 12:39 [PATCH] build-kernel.sh: handle kernel configs with CONFIG_LOCALVERSION Henning Schild
2018-05-11 15:33 ` Alexander Smirnov

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox